# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.73
%define module_name CGI-Multiscript
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.73
Release: alt1
Summary: Perl extension for Multiscript programming
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MO/MORGOTHII/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
CGI::Multiscript is a Perl Module that allows for Perl scripts to run and execute Multiscript files..CGI::Multiscript will allow Perl, Python, Ruby or Shell or any other language to coexist in the same external script. 
The Multiscripts consist of multiple languages separated by code tags and attributes.
Multiscript files can be executed from a Perl scripti that uses CGI::Multiscript.
 
CGI::Multiscript will run an external multiscript program according to the execution options which
include language, version, name and command line arguments. 

The current methods are setDefault, getDefault, new,  execute, parseArgs,
addLanguage, addName, addVersion, displayLangs, getFilename, setFilename.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc License Changes README
%perl_vendor_privlib/C*
%perl_vendor_privlib/auto/*
%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.73-alt1
- initial import by package builder

